petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkGetNumVariables

Gets number of variables for a vertex/edge point.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumVariables(DM dm,PetscInt p,PetscInt *nvar)

Not Collective

### Input Parameters

| dm | - The DMNetworkObject
| p | - the vertex/edge point

### Output Parameters

nvar -number of variables

### See Also

DMNetworkAddNumVariables, DMNetworkSddNumVariables

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages